/* SCREEN RECORD */
.record {
    display: grid;
    grid-template-columns: 160px 1fr;
    gap: 20px;
    width: 100%;
    min-height: 530px;
}

.recordControls {
    display: flex;
    flex-shrink: 0;
    flex-direction: column;
    gap: 10px;
    align-items: center;
}

.recordControlsBtn {
    transition: .3s ease;
}

.recordControlsBtn.recording {
    background-color: var(--red);
}

.recordControlsTimer {
    background-color: var(--highlight);
    width: 100%;
    text-align: center;
    border-radius: 4px;
    font-family: VCR OSD Mono, sans-serif;
    font-size: 24px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.recordControlsTimerWave {
    display: flex;
    gap: 3px;
    align-items: center;
    height: 10px;
    position: absolute;
    top: 4px;
    right: 8px;
    transition: .3s ease;
    opacity: 0
}

.recordControlsTimerWave.active {
    opacity: 1;
}

.recordControlsTimerWave span {
    width: 2px;
    height: 2px;
    background: var(--bone);
    border-radius: 999px;
    animation: wave 1.5s ease-in-out infinite;
}

.recordControlsTimerWave span:nth-child(2) {
    animation-delay: .1s
}

.recordControlsTimerWave span:nth-child(3) {
    animation-delay: .2s
}

.recordControlsTimerWave span:nth-child(4) {
    animation-delay: .3s
}

.recordControlsTimerWave span:nth-child(5) {
    animation-delay: .4s
}


@keyframes wave {
    0%, 100% {
        height: 20%;
        opacity: .3;
        box-shadow: 0 0 0 0 var(--bone);
    }
    50% {
        height: 100%;
        opacity: 1;
        box-shadow: 0 0 0 .5px var(--bone);
    }
}

.recordResults {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--black);
    height: 100%;
    width: 100%;
    border-radius: 8px;
    padding: 10px;
    position: relative;
}

.recordResultsVideo {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 8px;
    aspect-ratio: 20/9;
}

/**************************** Video Gallery ****************************/

.gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    width: 100%;
    min-height: 500px;
}

.galleryItem {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    background-color: var(--bone);
    overflow: hidden;
    color: var(--black);
    border-radius: 8px;
    border: 2px solid var(--faded-bone);
    padding: 0;
}

.galleryItemThumb {
    aspect-ratio: 100/65;
    width: 100%;
    border-radius: 8px 8px 0 0;
    object-fit: cover;
}

.galleryItemInfo {
    font-size: 20px;
    padding: 10px 10px 16px;
    border-top: 1px solid var(--faded-bone);
}

.galleryItemInfoDate {
    margin-bottom: 4px;
}

.galleryItemInfoSummary {
    margin-bottom: 4px;
}

.galleryItemInfoCopy {
    width: auto;
    margin-bottom: 4px;
}

.galleryItemInfoDelete {
    width: auto;
    background-color: var(--red)
}

@media (max-width: 800px) {
    .record {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .gallery {
        grid-template-columns: 1fr;
    }
}